Bug 45335 - Maintainer update: sysutils/samefile 2.9->2.10
Summary: Maintainer update: sysutils/samefile 2.9->2.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-16 13:50 UTC by Jens Schweikhardt
Modified: 2002-11-16 14:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Schweikhardt freebsd_committer 2002-11-16 13:50:01 UTC
For the cvs log message, please use:

Update from 2.9 to 2.10.
No real code changes, just minor enhancements:
- avoid some gcc warnings about long long in system headers
- if gcc is used, make use of attribute(noreturn)
- change license from 3 clause BSD to 2 clause BSD

Fix: 

Regards,

	Jens
-- 
Jens Schweikhardt http://www.schweikhardt.net/
SIGSIG -- signature too long (core dumped)--njlciepuf5oKGrQIlqHUdQQ18oiRduWpy3xb7gtMROCfDIT2
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/sysutils/samefile/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	13 Mar 2002 21:02:53 -0000	1.2
+++ Makefile	16 Nov 2002 13:17:59 -0000
@@ -2,11 +2,11 @@
 # Date created:        15 March 2001
 # Whom:                schweikh
 #
-# $FreeBSD: ports/sysutils/samefile/Makefile,v 1.2 2002/03/13 21:02:53 ade Exp $
+# $FreeBSD$
 #
 
 PORTNAME=      samefile
-PORTVERSION=   2.9
+PORTVERSION=   2.10
 CATEGORIES=    sysutils
 MASTER_SITES=  http://www.schweikhardt.net/
 
@@ -15,7 +15,7 @@
 MAN1=          samefile.1
 GNU_CONFIGURE= yes
 
-CFLAGS+= -ansi -pedantic -Wall -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align -Wconversion -Wsign-compare -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wmissing-noreturn -Wredundant-decls -Wnested-externs -Winline
+CFLAGS+= -ansi -pedantic -Wall -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align -Wconversion -Wsign-compare -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wmissing-noreturn -Wredundant-decls -Wnested-externs -Winline -Wno-long-long
 
 post-build:
 	@echo "   >>>>                        <<<<"
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/sysutils/samefile/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- distinfo	21 Mar 2001 07:26:21 -0000	1.1
+++ distinfo	16 Nov 2002 13:09:47 -0000
@@ -1 +1 @@
-MD5 (samefile-2.9.tar.gz) = cac055b174882e4ecc4db7b7cee78c94
+MD5 (samefile-2.10.tar.gz) = 726b730c38e9175a3d0969bba79982fc
How-To-Repeat: 	n/a
Comment 1 Edwin Groothuis freebsd_committer 2002-11-16 14:26:53 UTC
State Changed
From-To: open->closed

Commited, thanks